<% local form, viewlibrary, page_info, session = ... %>
<% require("viewfunctions") %>

<% displaycommandresults({"deleteuser", "updateuser"}, session) %>
<% displaycommandresults({"createuser"}, session, true) %>

<H1><%= html.html_escape(form.label) %></H1>
<DL>
<TABLE>
	<TR style="background:#eee;font-weight:bold;">
	<% if session.permissions[page_info.controller].deleteuser or session.permissions[page_info.controller].updateuser then %>
		<TD style="padding-right:20px;white-space:nowrap;" class="header">Action</TD>
	<% end %>
		<TD style="padding-right:20px;white-space:nowrap;" class="header">User Name</TD>
		<TD style="white-space:nowrap;" class="header">Password</TD>
	</TR>

<% for i,user in ipairs(form.value) do %>
	<TR>
	<% if session.permissions[page_info.controller].deleteuser or session.permissions[page_info.controller].updateuser then %>
		<TD style="padding-right:20px;white-space:nowrap;">
	<% if session.permissions[page_info.controller].updateuser then %>
		<%= html.link{value = "updateuser?username=" .. user.username.."&redir="..page_info.orig_action, label="Update "} %>
	<% end %>
	<% if session.permissions[page_info.controller].deleteuser then %>
		<%= html.link{value = "deleteuser?username=" .. user.username, label="Delete "} %>
	<% end %>
		</TD>
	<% end %>
		<TD><%= html.html_escape(user.username) %></TD>
	<% if session.permissions[page_info.controller].updateuser then %>
		<TD><%= html.html_escape(user.password) %></TD>
	<% else %>
		<TD>******</TD>
	<% end %>
	</TR>
<% end %>
</TABLE>
</DL>

<% if viewlibrary and viewlibrary.dispatch_component and session.permissions[page_info.controller].createuser then
	viewlibrary.dispatch_component("createuser")
end %>
